/*
Theme Name: Twenty Twelve Child
Theme URI: https://organicentourage.com/twentytwelve-child/
Description: Twenty Twelve Child Theme
Author: Organic Entourage
Author URI: https://organicentourage.com
Template: twentytwelve
Version: 1.0.0
*/

/*  */


/*  */

/* Change hyperlink color to brown */
a { color: #4d2600; }

/* Hide "Proudly powered by WordPress" at page bottom */
.site-info{display: none;}

/* Hide "This entry was posted in ..." at bottom of Posts" */
footer.entry-meta {
  display: none;
}

/* Disable Automatic Thumbnail Image Creation */
function shapeSpace_disable_thumbnail_images($sizes) {

	unset($sizes['thumbnail']); // disable thumbnail size
	return $sizes;

}
add_action('intermediate_image_sizes_advanced', 'shapeSpace_disable_thumbnail_images');

/* Disable Automatic Medium Image Creation */
function shapeSpace_disable_medium_images($sizes) {
	
	unset($sizes['medium']); // disable medium size
	return $sizes;

}
add_action('intermediate_image_sizes_advanced', 'shapeSpace_disable_medium_images');

/* Disable Automatic Large Image Creation */
function shapeSpace_disable_large_images($sizes) {
	
	unset($sizes['large']); // disable large size
	return $sizes;
	
}
add_action('intermediate_image_sizes_advanced', 'shapeSpace_disable_large_images');

/* Disable Automatic Medium-Large Image Creation */
function shapeSpace_disable_medium_large_images($sizes) {
	
	unset($sizes['medium_large']); // disable 768px size images
	return $sizes;
	
}
add_filter('intermediate_image_sizes_advanced', 'shapeSpace_disable_medium_large_images');

/* Disable Automatic 2x-Medium Image Creation */
function shapeSpace_disable_2x_medium_large_images($sizes) {
	
	unset($sizes['1536x1536']); // disable 2x medium-large size
	return $sizes;
	
}
add_filter('intermediate_image_sizes_advanced', 'shapeSpace_disable_2x_medium_large_images');

/* Disable Automatic 2x-Large Image Creation */
function shapeSpace_disable_2x_large_images($sizes) {
	
	unset($sizes['2048x2048']); // disable 2x large size
	return $sizes;
	
}
add_filter('intermediate_image_sizes_advanced', 'shapeSpace_disable_2x_large_images');

/* Disable Automatic Scaled Image Creation */
add_filter('big_image_size_threshold', '__return_false');


